Skip to main content

Workflow Version Actions

https://api.app.wnology.io/applications/APPLICATION_ID/flows/FLOW_ID/versions/FLOW_VERSION_ID

Below are the various requests that can be performed against the Workflow Version resource, as well as the expected parameters and the potential responses.

Delete​

Deletes a flow version

Method And Url​

DELETE https://api.app.wnology.io/applications/APPLICATION_ID/flows/FLOW_ID/versions/FLOW_VERSION_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, flowVersion.*, or flowVersion.delete.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
FLOW_IDID associated with the flow575ed18f7ae143cd83dc4aa6
FLOW_VERSION_IDVersion ID or version name associated with the flow version675ed18f7ae143cd83dc4bb7

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.app.wnology.io/applications/APPLICATION_ID/flows/FLOW_ID/versions/FLOW_VERSION_ID

Successful Responses​

CodeTypeDescription
200SuccessIf flow version was successfully deleted

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if flow version was not found

Errors​

Get information about errors that occurred during runs of this workflow version

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/flows/FLOW_ID/versions/FLOW_VERSION_ID/errors

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.read, flowVersion.*, or flowVersion.errors.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
FLOW_IDID associated with the flow575ed18f7ae143cd83dc4aa6
FLOW_VERSION_IDVersion ID or version name associated with the flow version675ed18f7ae143cd83dc4bb7

Request Query Parameters​

NameRequiredDescriptionDefaultExample
durationNDuration of time range in milliseconds86400000duration=86400000
endNEnd of time range in milliseconds since epoch0end=0
limitNMaximum number of errors to return25limit=25
sortDirectionNDirection to sort the results by. Accepted values are: asc, descdescsortDirection=desc
deviceIdNFor edge workflows, the Device ID to return workflow errors for. When not included, will be errors for all device IDs.deviceId=575ed18f7ae143cd83dc4bb6

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/flows/FLOW_ID/versions/FLOW_VERSION_ID/errors

Successful Responses​

CodeTypeDescription
200Workflow ErrorsWorkflow error information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if flow version was not found

Get​

Retrieves information on a flow version

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/flows/FLOW_ID/versions/FLOW_VERSION_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.read, flowVersion.*, or flowVersion.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
FLOW_IDID associated with the flow575ed18f7ae143cd83dc4aa6
FLOW_VERSION_IDVersion ID or version name associated with the flow version675ed18f7ae143cd83dc4bb7

Request Query Parameters​

NameRequiredDescriptionDefaultExample
includeCustomNodesNIf the result of the request should also include the details of any custom nodes referenced by the returned workflowsfalseincludeCustomNodes=true

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/flows/FLOW_ID/versions/FLOW_VERSION_ID

Successful Responses​

CodeTypeDescription
200Workflow VersionFlow version information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if flow version was not found

Get Log Entries​

Retrieve the recent log entries about runs of this workflow version

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/flows/FLOW_ID/versions/FLOW_VERSION_ID/logs

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.read, flowVersion.*, or flowVersion.log.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
FLOW_IDID associated with the flow575ed18f7ae143cd83dc4aa6
FLOW_VERSION_IDVersion ID or version name associated with the flow version675ed18f7ae143cd83dc4bb7

Request Query Parameters​

NameRequiredDescriptionDefaultExample
limitNMax log entries to return (ordered by time descending)1limit=10
sinceNLook for log entries since this time (ms since epoch)since=1465790400000

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/flows/FLOW_ID/versions/FLOW_VERSION_ID/logs

Successful Responses​

CodeTypeDescription
200Workflow LogRecent log entries

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if flow version was not found

Patch​

Updates information about a flow version

Method And Url​

PATCH https://api.app.wnology.io/applications/APPLICATION_ID/flows/FLOW_ID/versions/FLOW_VERSION_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, flowVersion.*, or flowVersion.patch.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
FLOW_IDID associated with the flow575ed18f7ae143cd83dc4aa6
FLOW_VERSION_IDVersion ID or version name associated with the flow version675ed18f7ae143cd83dc4bb7

Request Query Parameters​

NameRequiredDescriptionDefaultExample
includeCustomNodesNIf the result of the request should also include the details of any custom nodes referenced by the returned workflowsfalseincludeCustomNodes=true

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Workflow Version Patch schema. For example, the following would be a valid body for this request:

{
"notes": "Updated workflow version notes",
"enabled": false
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"notes":"Updated workflow version notes","enabled":false}' \
https://api.app.wnology.io/applications/APPLICATION_ID/flows/FLOW_ID/versions/FLOW_VERSION_ID

Successful Responses​

CodeTypeDescription
200Workflow VersionUpdated flow version information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if flow version was not found

Stats​

Get statistics about workflow runs for this workflow version

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/flows/FLOW_ID/versions/FLOW_VERSION_ID/stats

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.read, flowVersion.*, or flowVersion.stats.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
FLOW_IDID associated with the flow575ed18f7ae143cd83dc4aa6
FLOW_VERSION_IDVersion ID or version name associated with the flow version675ed18f7ae143cd83dc4bb7

Request Query Parameters​

NameRequiredDescriptionDefaultExample
durationNDuration of time range in milliseconds86400000duration=86400000
endNEnd of time range in milliseconds since epoch0end=0
resolutionNResolution in milliseconds3600000resolution=3600000
deviceIdNFor edge workflows, the device ID to return workflow stats for. When not included, will be aggregate for all device IDs.deviceId=575ed18f7ae143cd83dc4bb6

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/flows/FLOW_ID/versions/FLOW_VERSION_ID/stats

Successful Responses​

CodeTypeDescription
200Workflow StatisticsStatistics for workflow runs

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if flow version was not found

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 2 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key

      Error Example​

      • ▶
        {} 2 keys
        • "NotFound"
        • "Application was not found"

      Workflow Errors​

      Workflow run error information

      Workflow Errors Schema​

      • ▶
        {} 3 keys
        • "http://json-schema.org/draft-07/schema#"
        • "object"
        • ▶
          {} 8 keys
          • ▶
            {} 3 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 1 key
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 2 keys

                      Workflow Errors Example​

                      • ▶
                        {} 5 keys
                        • "2016-06-03T00:00:00.000Z"
                        • "2016-06-04T00:00:00.000Z"
                        • 25
                        • "desc"
                        • ▶
                          [] 1 item

                        Workflow Log​

                        Log of aggregated workflow run information

                        Workflow Log Schema​

                        • ▶
                          {} 3 keys
                          • "http://json-schema.org/draft-07/schema#"
                          • "array"
                          • ▶
                            {} 2 keys

                          Workflow Log Example​

                          • ▶
                            [] 2 items
                            • ▶
                              {} 7 keys
                              • ▶
                                {} 7 keys

                              Workflow Statistics​

                              Statistics about the runs for a given workflow

                              Workflow Statistics Schema​

                              • ▶
                                {} 3 keys
                                • "http://json-schema.org/draft-07/schema#"
                                • "object"
                                • ▶
                                  {} 7 keys
                                  • ▶
                                    {} 3 keys
                                    • ▶
                                      {} 2 keys
                                      • ▶
                                        {} 2 keys
                                        • ▶
                                          {} 2 keys
                                          • ▶
                                            {} 2 keys
                                            • ▶
                                              {} 1 key
                                              • ▶
                                                {} 2 keys

                                            Workflow Statistics Example​

                                            • ▶
                                              {} 4 keys
                                              • "2016-06-03T00:00:00.000Z"
                                              • "2016-06-04T00:00:00.000Z"
                                              • 86400000
                                              • ▶
                                                [] 1 item

                                              Workflow Version​

                                              Schema for a single Workflow Version

                                              Workflow Version Schema​

                                              • ▶
                                                {} 2 keys
                                                • "http://json-schema.org/draft-07/schema#"
                                                • ▶
                                                  [] 2 items

                                                Workflow Version Example​

                                                • ▶
                                                  {} 13 keys
                                                  • "675ed18f7ae143cd83dc4bb7"
                                                  • "675ed18f7ae143cd83dc4bb7"
                                                  • "575ed18f7ae143cd83dc4aa6"
                                                  • "575ec8687ae143cd83dc4a97"
                                                  • "2016-06-13T04:00:00.000Z"
                                                  • "2016-06-13T04:00:00.000Z"
                                                  • "Description of my workflow version"
                                                  • "experience"
                                                  • ▶
                                                    [] 1 item
                                                    • true
                                                    • [] 0 items
                                                      • [] 0 items
                                                        • [] 0 items

                                                        Workflow Version Patch​

                                                        Schema for the body of a Workflow Version modification request

                                                        Workflow Version Patch Schema​

                                                        • ▶
                                                          {} 4 keys
                                                          • "http://json-schema.org/draft-07/schema#"
                                                          • "object"
                                                          • ▶
                                                            {} 2 keys
                                                            • ▶
                                                              {} 2 keys
                                                              • ▶
                                                                {} 1 key
                                                              • false

                                                            Workflow Version Patch Example​

                                                            • ▶
                                                              {} 2 keys
                                                              • "Updated workflow version notes"
                                                              • false

                                                            Success​

                                                            Schema for reporting a successful operation

                                                            Success Schema​

                                                            • ▶
                                                              {} 3 keys
                                                              • "http://json-schema.org/draft-07/schema#"
                                                              • "object"
                                                              • ▶
                                                                {} 1 key
                                                                • ▶
                                                                  {} 2 keys

                                                              Success Example​

                                                              • ▶
                                                                {} 1 key
                                                                • true

                                                              Was this page helpful?


                                                              Still looking for help? You can also search the WEGnology Forums or submit your question there.